petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatGetNullSpace

retrieves the null space of a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetNullSpace(Mat mat, MatNullSpace *nullsp)

Logically Collective on Mat and MatNullSpace

### Input Parameters

| mat | - the matrix
| nullsp | - the null space object

### See Also

MatCreate(), MatNullSpaceCreate(), MatSetNearNullSpace(), MatSetNullSpace()

### Level

developer

### Location

src/mat/interface/matrix.c

### Examples

src/snes/examples/tutorials/ex62.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages